Search supported payment methods
curl --request GET \
--url https://api-sb.meld.io/network-partner/supported/payment-methodsimport requests
url = "https://api-sb.meld.io/network-partner/supported/payment-methods"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-sb.meld.io/network-partner/supported/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sb.meld.io/network-partner/supported/payment-methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sb.meld.io/network-partner/supported/payment-methods"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sb.meld.io/network-partner/supported/payment-methods")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sb.meld.io/network-partner/supported/payment-methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"countryCode": "US",
"providerMethod": "CARD",
"method": "CREDIT_DEBIT_CARD",
"name": "Credit or debit card",
"type": "CARD",
"logo": {
"dark": "https://cdn.meld.io/images-paymentmethod/CREDIT_DEBIT_CARD/logo_dark.png",
"light": "https://cdn.meld.io/images-paymentmethod/CREDIT_DEBIT_CARD/logo_light.png"
}
}
]{
"code": "BAD_REQUEST",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}Supported
Search supported payment methods
Searches payment methods supported across providers. Results are deduplicated across providers and returned as canonical payment-method entries with logo URLs for the requested filters. Provider scope rules:
- No Basic Auth and no
Meld-Account-Id: results come from the global dataset. - Basic Auth only: results are restricted to the authenticated identity’s
providersclaim. Meld-Account-Idonly: results are restricted to providers configured for that account.- Both Basic Auth and
Meld-Account-Id: results are restricted to the intersection of both provider sets. - Explicit partner filters are intersected with the resolved provider scope.
Explicit partners filtering is intersected with the resolved provider scope.
If the effective provider scope contains no providers, this collection endpoint returns 200 with an empty result.
GET
/
network-partner
/
supported
/
payment-methods
Search supported payment methods
curl --request GET \
--url https://api-sb.meld.io/network-partner/supported/payment-methodsimport requests
url = "https://api-sb.meld.io/network-partner/supported/payment-methods"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-sb.meld.io/network-partner/supported/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sb.meld.io/network-partner/supported/payment-methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sb.meld.io/network-partner/supported/payment-methods"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sb.meld.io/network-partner/supported/payment-methods")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sb.meld.io/network-partner/supported/payment-methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"countryCode": "US",
"providerMethod": "CARD",
"method": "CREDIT_DEBIT_CARD",
"name": "Credit or debit card",
"type": "CARD",
"logo": {
"dark": "https://cdn.meld.io/images-paymentmethod/CREDIT_DEBIT_CARD/logo_dark.png",
"light": "https://cdn.meld.io/images-paymentmethod/CREDIT_DEBIT_CARD/logo_light.png"
}
}
]{
"code": "BAD_REQUEST",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}Headers
Query Parameters
Provider category Categories of functionality offered by a service provider
Available options:
CRYPTO_ONRAMP, CRYPTO_OFFRAMP, CRYPTO_TRANSFER, BANK_LINKING, FIAT_PAYMENTS, CRYPTO_VIRTUAL_ACCOUNT_ONRAMP, CRYPTO_VIRTUAL_ACCOUNT_OFFRAMP, CUSTOMER_KYC, CRYPTO_ONRAMP_SWAP, CRYPTO_OFFRAMP_SWAP Response
Supported payment method list